LOU_TRANSLATE(1)

NAME
lou_translate - A Braille translator for large scale testing of liblouis Braille translation tables

SYNOPSIS
lou_translate [OPTIONS] TABLE

DESCRIPTION
Translate whatever is on standard input and print it on standard output. It is intended for large-scale testing of the accuracy of braille translation and back-translation.

  TABLE is either:

- a query
    KEY[:VALUE] [KEY[:VALUE] ...]

- a file list
    FILE[,FILE,...]

OPTIONS

-h, --help
    display this help and exit

-v, --version
    display version information and exit

-f, --forward
    forward translation using the given table

-b, --backward
    backward translation using the given table If neither -f nor -b are specified forward translation is assumed

-d, --display-table
    use the given display table for the translation. The display table determines how braille dot patterns are encoded as text (decoded in case of backward translation). Without a display table, the braille encoding is determined by the translation table, when it is specified as a file list, or Unicode braille when the table is specified as a query. For clarity and reliability, it is recommended to always make the display table explicit.

EXAMPLES

    lou_translate language:en grade:2 region:en-US < input.txt

    Do a forward translation of English text to grade 2 contracted braille according to the U.S. braille standard.

    lou_translate -d en-us-brf.dis language:en grade:2 region:en-US < input.txt

    Here we do the same forward translation but with a specific ASCII braille encoding instead of Unicode braille.

    lou_translate -d unicode.dis en-us-g2.ctb < input.txt

    Do a forward translation with table en-us-g2.ctb and Unicode braille encoding.

    echo ",! qk br{n fox" | lou_translate -b -d text_nabcc.dis language:en grade:2 region:en-US

    Do a backward translation with the English grade 2 table. Note that the ASCII braille input (as shown here) must match the specified display table (North American Braille Computer Code in this case).

AUTHOR
Written by John J. Boyer.

REPORTING BUGS
Report bugs to liblouis-liblouisxml@freelists.org.
Liblouis home page: <http://www.liblouis.io>

COPYRIGHT
Copyright © 2024 ViewPlus Technologies, Inc. and JJB Software, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for lou_translate is maintained as a Texinfo manual. If the info and lou_translate programs are properly installed at your site, the command

    info liblouis

should give you access to the complete manual.